### Function

# EDataBook BookBackendSExp util_phone_compare

since: 3.50

#### Declaration [src]

    gboolean
    e_book_backend_sexp_util_phone_compare (
      const gchar* phone_value,
      const gchar* lookup_value,
      EBookBackendSexpCompareKind compare_kind
    )

#### Description [src]

A utility function, which compares only numbers from the `phone_value` with `lookup_value` using `compare_kind` method.

Available since: 3.50

#### Parameters

`phone_value`

  Type: `const gchar*`

  A phone number to compare.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`lookup_value`

  Type: `const gchar*`

  A value to lookup for in the phone number.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`compare_kind`

  Type: `EBookBackendSexpCompareKind`

  An `EBookBackendSexpCompareKind`.

#### Return value

Type: `gboolean`

Whether numbers from the `phone_value` match the `lookup_value` using the given `compare_kind`.